import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FleetOilCardRoutingModule } from './fleet-oil-card-routing.module';
import { FleetOilCardListComponent } from './fleet-oil-card-list/fleet-oil-card-list.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {AppCommonModule} from '../../app-common.module';
import {NgxEchartsModule} from 'ngx-echarts';
import { FleetOilCardUserListComponent } from './fleet-oil-card-user-list/fleet-oil-card-user-list.component';
import { FleetOilCardCarComponent } from './fleet-oil-card-car/fleet-oil-card-car.component';
import { FleetOilCardRecordComponent } from './fleet-oil-card-record/fleet-oil-card-record.component';
import { FleetOilCardOrderComponent } from './fleet-oil-card-order/fleet-oil-card-order.component';

@NgModule({
  declarations: [FleetOilCardListComponent, FleetOilCardUserListComponent, FleetOilCardCarComponent, FleetOilCardRecordComponent, FleetOilCardOrderComponent],
  imports: [
    CommonModule,
    FleetOilCardRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    AppCommonModule,
    NgxEchartsModule,
  ]
})
export class FleetOilCardModule { }
